Summary: a command line radio tuner
Name: rtune
Version: 0.0.1
Release: 1
Copyright: GPL
Group: Applications/Sound
Packager: Trevor Astrope <astrope@tabbweb.com>
Source0: http://linux.blackhawke.net/download/rtune-0.0.1.tar.gz
Patch0: rtune.patch

Buildroot: /tmp/rtune-root

%description
This is the 'rtune' package, a command for manipulating radio tuner cards
supported under the 'Video4Linux' API.  It is supplied under the GNU
Public License and as such comes with ABSOLUTELY NO WARRANTY!  See the
file COPYING for details.  If this program breaks, you get to keep both pieces!

%prep
%setup 
%patch0 -p1 

%build
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -s rtune $RPM_BUILD_ROOT/usr/bin

%files
%doc COPYING README
/usr/bin/rtune

%clean
rm -rf $RPM_BUILD_ROOT

%post
if test -c /dev/radio; then
exit 0
else
echo "Creating device /dev/radio with major 81 and minor 64"
mknod /dev/radio c 81 64
fi
